import csv
import sys

__author__ = "Marcel Kempenaar"
__contact__ = "brs@nbic.nl"
__copyright__ = "Copyright, 2012, Netherlands Bioinformatics Centre"
__license__ = "MIT"

in_file = sys.argv[1]
out_file = sys.argv[2]
to_select_list = [str(select.strip()) for select in sys.argv[3].split(',') if (len(select) > 0)]

data = list(csv.reader(open(in_file, 'rb'), delimiter='\t'))
header = data.pop(0)
header_clean = [i.lower().strip().replace(".", "").replace("%", "") for i in header]
rank = header_clean.index("rank")

writer = csv.writer(open(out_file, 'wb'), delimiter='\t')
writer.writerow(header)
for select in to_select_list:
    writer.writerows([i for i in data if i[rank] == select])
